Package org.postgresql.jdbc

# Enum EscapeSyntaxCallMode

java.lang.Object
java.lang.Enum<EscapeSyntaxCallMode>
org.postgresql.jdbc.EscapeSyntaxCallMode

All Implemented Interfaces:
  `Serializable`, `Comparable<EscapeSyntaxCallMode>`, `java.lang.constant.Constable`

public enum EscapeSyntaxCallMode extends Enum<EscapeSyntaxCallMode>
Specifies whether a SELECT/CALL statement is used for the underlying SQL for JDBC escape call syntax: 'select' means to always use SELECT, 'callIfNoReturn' means to use CALL if there is no return parameter (otherwise use SELECT), and 'call' means to always use CALL.

See Also:
  - `PGProperty.ESCAPE_SYNTAX_CALL_MODE`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CALL`
  `CALL_IF_NO_RETURN`
  `SELECT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EscapeSyntaxCallMode`
  `of(String mode)`
  `String`
  `value()`
  `static EscapeSyntaxCallMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EscapeSyntaxCallMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELECT

    public static final EscapeSyntaxCallMode SELECT

  - ### CALL_IF_NO_RETURN

    public static final EscapeSyntaxCallMode CALL_IF_NO_RETURN

  - ### CALL

    public static final EscapeSyntaxCallMode CALL

- ## Method Details

  - ### values

    public static EscapeSyntaxCallMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EscapeSyntaxCallMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static EscapeSyntaxCallMode of(String mode)

  - ### value

    public String value()